<?php
/**
 * Template Name: Đăng ký sử dụng
 *
 * @package WordPress
 * @subpackage Twenty_Sixteen
 * @since Twenty Sixteen 2.1
 */

//response generation function

$cities = array( "Tiền Giang", "Hưng Yên", "Hà Nội", "TP Hồ Chí Minh","Cà Mau", "Đắc Lắc", "Nam Định", "Quảng Ninh", "Đắk Nông", "Đà Nẵng", "Hải Dương", "Long An", "Bến Tre", "Đồng Tháp", "Vĩnh Long", "Kiên Giang", "Trà Vinh", "Sóc Trăng", "Bắc Ninh", "Thanh Hoá", "Vũng Tàu", "Đồng Nai", "Bình Dương", "Thái Nguyên", "Thái Bình", "Cần Thơ", "Nghệ An", "Huế", "Bình Phước", "Quảng Nam", "Quảng Ngãi", "Ninh Thuận", "Lào Cai", "Hải Phòng", "An Giang", "Phú Thọ", "Tây Ninh", "Khánh Hòa", "Phú Yên", "Hòa Bình", "Tuyên Quang", "Lai Châu", "Hậu Giang", "Lâm Đồng", "Lạng Sơn", "Hà Nam", "Bắc Cạn", "Bình Định", "Cao Bằng", "Sơn La", "Quảng Bình", "Quảng Trị", "Gia Lai", "Bắc Giang", "Hà Tĩnh", "Ninh Bình", "Bình Thuận", "Kon Tum", "Vĩnh Phúc", "Bạc Liêu", "Yên Bái", "Điện Biên", "Hà Giang");
function Sortify($string){
    return preg_replace('~&([a-z]{1,2})(acute|cedil|circ|grave|lig|orn|ring|slash|tilde|uml);~i', '$1' . chr(255) . '$2', htmlentities($string, ENT_QUOTES, 'UTF-8'));
}

array_multisort(array_map('Sortify', $cities), $cities);
// asort($cities);

$response = "";

//function to generate response
function form_response($type, $message){
    global $response;
    if($type == "success") $response = "<div class='success'>{$message}</div>";
    else $response = "<div class='error'>{$message}</div>";
}

// verify recaptcha V3
function checkRecaptcha()
{
    $key_sr = '6LdX5tYUAAAAAB68LkKNZC5bsfaAN8xbkph2v1yR';
    $url = 'https://www.google.com/recaptcha/api/siteverify';
    $response = wp_remote_post( $url, array(
        'method'      => 'POST',
        // 'redirection' => 5,
        // 'httpversion' => '1.0',
        // 'blocking'    => true,
        // 'headers'     => array(),
        'body'        => array(
                'secret' => $key_sr,
            )
        )
    );
     
    if ( is_wp_error( $response ) ) {
        $error_message = $response->get_error_message();
        echo "Something went wrong: $error_message";
    } else {
        echo 'Response:<pre>';
        print_r( $response );
        echo '</pre>';
    }    
}

//response messages
$missing_content = "Xin vui lòng điền đầy đủ thông tin cần thiết.";
$taxcode_invalid = "Mã số thuế không hợp lệ.";
$email_invalid   = "Email không hợp lệ.";
$phone_invalid   = "Số điện thoại không hợp lệ.";
$message_unsent  = "Đã xảy ra lỗi, vui lòng kiểm tra lại.";
$message_sent    = "Cảm ơn khách hàng đã đăng ký! Chúng tôi sẽ liên hệ lại sớm nhất.";

//user posted variables
$taxcode     = trim($_POST['customer_taxcode']);
$company     = trim($_POST['customer_company']);
$address     = trim($_POST['customer_address']);
$city        = trim($_POST['customer_city']);
$email       = trim($_POST['customer_email']);
$name        = trim($_POST['customer_name']);
$phone       = trim($_POST['customer_phone']);
$message     = trim($_POST['customer_message']);
$submitted   = $_POST['submitted'];

//php mailer variables
$to = get_option('admin_email');
$subject = "Khách hàng đăng ký tư vấn ".get_bloginfo('name');
$headers = 'From: '. $email . "\r\n" . 'Reply-To: ' . $email . "\r\n";

// var_dump($email);
$check_form = true;
if($submitted == 1){
    if (!validate_taxcode($taxcode) && !empty($taxcode)) {
        // taxcode is valid
        form_response("error", $taxcode_invalid);
        $check_form = false;
    }
    if (!filter_var($email, FILTER_VALIDATE_EMAIL) && !empty($email)) {
        // email is valid
        form_response("error", $email_invalid);
        $check_form = false;
    }
    if(!preg_match("/^[0-9]{10,12}$/", $phone) && !empty($phone)) {
        // phone is valid
        form_response("error", $phone_invalid);
        $check_form = false;
    }
    
    //validate form to sent mail
    if($check_form ){
        //validate presence of name and message
        if(empty($taxcode) || empty($company) || empty($name) || empty($phone)){
            form_response("error", $missing_content);
        } else {
            //ready to go!
            $content_mail = "Gửi đến từ: ahoadon.com
        Khách hàng: ".$name." đã đăng ký tư vấn trở thành đại lý Ahoadon
            
            Công ty        : ".$company."
            Mã số thuế     : ".$taxcode."
            Số điện thoại  : ".$phone."
            Địa chỉ        : ".$address."
            Tỉnh/ Thành phố: ".$city."
            Nội dung       : ".$message."
            
            -----------------
            Email này được gửi đến từ form Đăng ký tư vấn đại lý của website ahoadon.com";
    
            $sent = wp_mail($to, $subject, $content_mail, $headers);
            if($sent) form_response("success", $message_sent); //message sent!
            else form_response("error", $message_unsent); //message wasn't sent
        }
    }
}

get_header();

?>
<style type="text/css">
    #register-customer .error{
        padding: 5px 9px;
        border: 1px solid red;
        color: red;
        border-radius: 3px;
    }
    
    #register-customer .success{
        padding: 5px 9px;
        border: 1px solid green;
        color: green;
        border-radius: 3px;
    }
    #register-customer .select-city {
        width:100%;
        position:absolute;
        left:0;
        top:0;
        z-index:5;
    }
    #register-customer .select-holder {
        display:inline-block;
        position:relative;
        width:100%;
        height:1.5em;
        background:#f9f9f9;
    }
</style>

<section class="container" id="register-customer">
    <h2 class="register-title">Đăng ký tư vấn sử dụng</h2>

    <div id="form-register-customer">
        <?php echo $response; ?>
        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
                <form action="<?php the_permalink(); ?>" method="post" >
                <div class="row">
                    <!-- mã số thuế -->
                    <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 form-group">
                        <label for="customer_taxcode">Mã số thuế: <span class="txt-red">*</span></label>
                        <input type="text" class="form-control" name="customer_taxcode" id="customer_taxcode" required value="<?php echo esc_attr($_POST['customer_taxcode']); ?>">
                    </div>
                    <!-- Tên công ty -->
                    <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 form-group">
                        <label for="customer_company">Tên công ty: <span class="txt-red">*</span></label>
                        <input type="text" class="form-control" name="customer_company" id="customer_company" required value="<?php echo esc_attr($_POST['customer_company']); ?>">
                    </div>
                    <!-- Địa chỉ -->
                    <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 form-group">
                        <label for="customer_address">Địa chỉ: </label>
                        <input type="text" class="form-control" name="customer_address" id="customer_address" value="<?php echo esc_attr($_POST['customer_address']); ?>">
                    </div>
                    <!-- Tỉnh/Thành phố -->
                    <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 form-group">
                        <label for="customer_city">Tỉnh/Thành phố: </label>
                        <span class="select-holder">
                            <select name="customer_city" id="customer_city" class="form-control select-city" onmousedown="if(this.options.length>9){this.size=9;}"  onchange='this.size=0;' onblur="this.size=0;">
                            <?php foreach ($cities as $v_city): ?>
                                <option value="<?= ($_POST['customer_city']) ? $_POST['customer_city'] : $v_city?>"><?=$v_city?></option>
                            <?php endforeach; ?>
                            </select>
                        </span>
                    </div>
                    <!-- Người liên hệ -->
                    <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 form-group">
                        <label for="customer_name">Người liên hệ: <span class="txt-red">*</span> </label>
                        <input type="text" class="form-control" name="customer_name" id="customer_name" required value="<?php echo esc_attr($_POST['customer_name']); ?>">
                    </div>
                    <!-- Số điện thoại -->
                    <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 form-group">
                        <label for="customer_phone">Số điện thoại: <span class="txt-red">*</span> </label>
                        <input type="text" class="form-control" name="customer_phone" id="customer_phone" required placeholder="Số điện thoại" value="<?php echo esc_attr($_POST['customer_phone']); ?>">
                    </div>
                    <!-- Email -->
                    <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 form-group">
                        <label for="customer_email">Email: </label>
                        <input type="text" class="form-control" name="customer_email" id="customer_email" placeholder="Email" value="<?php echo esc_attr($_POST['customer_email']); ?>">
                    </div>
                    <!-- Nội dung -->
                    <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 form-group">
                        <label for="customer_message">Nội dung: </label>
                        <input type="text" class="form-control" name="customer_message" id="customer_message" placeholder="Lĩnh vực kinh doanh" value="<?php echo esc_attr($_POST['customer_message']); ?>">
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 form-group">
                        <input type="submit" value="Đăng ký" class="bg-light-green">
                        <input type="hidden" name="submitted" value="1">
                    </div>
                </div>
                </form>
            </div>
        </div>
    </div>
</section>

<?php get_footer(); ?>